{# This means your page inherit from an existing template, it will already contains some html and allow to override what's inside the "blocks" #}
{% extends 'base.html.twig' %}

{% block stylesheets %}
    {# Any extra CSS for your page #}
{% endblock %}

{% block javascripts %}
    {# Any extra JS for your page #}
{% endblock %}

{% block title %}
    - Ranks
{% endblock %}

{% block content %}
    <table id="aTable">
        <tbody><tr>
            <td class="mainBox">
                <div id="msg">
                </div>

                <h1>Classement général</h1>

                <p class="txt">Le classement général est établi en fonction du <b>nombre de points</b> de chaque joueur.
                    Ce nombre est égal à la somme des niveaux des packs de chaque joueur. Ainsi un joueur ayant deux packs de niveau 3 (2x3 = 6pts) et un joueur ayant un pack de niveau 6 (1x6 = 6pts)
                    auront tous les deux le même nombre de points.</p>

                {#
                <p class="txt">Ce classement est mis à jour tous les jours aux alentours de 3 heures du matin. </p>
                <a href="/user/ranks" class="button">Classement général</a>&nbsp;<a href="/user/ranks?type=v" class="button">Classement des meilleurs packs</a>
                #}

                <div id="superTabRank">
                    <table>
                        <tbody>
                        <tr>
                            <th style="width:120px; text-align:center;">Position</th>
                            <th class="cardDesc">Joueur</th>
                            <th class="cardDesc">Points</th>
                            <th class="cardDesc">Nombre de packs</th>
                        </tr>


                        {% set rank = (page-1) * 20 + 1 %}
                        {% for userData in users %}
                            {% set user = userData[0] %}
                            {% set points = userData['point'] %}
                            {# TODO Css even/odd instead of this #}
                            <tr class="{{ rank % 2 == 0 ? 'even' : 'odd' }}">
                                <td style="width:120px;text-align:center;">
                                    <b>{{ rank }}</b>
                                </td>
                                <td style="text-align:center;"><a href="{{ path('user', {'id' : user.id }) }}">{{ user.displayName }}</a></td>
                                <td style="text-align:center;">
                                    <b>
                                        {{ user.points }} points
                                    </b>
                                </td>
                                <td style="text-align:center;">
                                    <b>
                                        {{ user.decks | length }} packs
                                    </b>
                                </td>
                            </tr>
                            {% set rank = rank + 1 %}
                        {% endfor %}

                        </tbody>
                    </table>
                </div>
                <h3></h3>

                {% if page == 1 %}
                    Précédent
                {% else %}
                    <a href="{{ path('ranks', {'page' : page - 1 }) }}">Précédent</a>
                {% endif %}
                {#
                |
                <a href="#ranks/self">NYI Voir ma position</a>
                #}
                |
                {% if users | length > 0 and users | length < 20 %}
                    Suivant
                {% else %}
                    <a href="{{ path('ranks', {'page' : page + 1 }) }}">Suivant</a>
                {% endif %}
                {#
                <h3>Rechercher un joueur </h3>
                <form name="fsearchUser" id="fsearchUser" method="get" action="/user/ranks">
                    <input name="name" type="text" id="name" value="">
                    <input class="button" type="submit" value="Chercher !">
                </form>
                #}
            </td>

            <td class="siderBox">
                <img alt="classement dinocard" src="{{ asset('img/gfx/gui/artwork_ranking.jpg') }}">
            </td>
        </tr>
        </tbody>
    </table>
{% endblock %}